get
https://sandbox.api.deliverysolutions.co/api/v2/brand/getById/brandExternalId/
Use this API to get the brand details using the externalID. The externalID can be found under the Business-->Brands page in the portal.
Response
| Property | Type | Description |
|---|---|---|
| String | Unique ID for the brand assigned by Delivery Solutions |
| name | String | Name of the brand |
| brandExternalId | String | Unique id of the brand from the customer as setup in their system |
| address | Object | Address of the brand |
| description | String | Description of the brand |
| active | boolean | Flag that specifies whether the brand is enabled or disabled |
| tenantId | String | tenantId associated with the business |
| atRisk | Object | atRisk settings associated with the brand. |
| pickupInstructions | String | pickupInstructions associated with the brand |
| currencyCode | String | currency code associated with the brand |
| isDefault | boolean | specifies whether the brand is default |
| createdAt | String | The time when the brand was created in Delivery Solutions in ISO 8601 format |
| lastUpdatedAt | String | The time when the brand was last updated in ISO 8601 format. |
